# Kubeflow Core Applications Kustomization
apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

resources:
# Kubeflow Pipelines
- ../../apps/pipeline/upstream/env/cert-manager/platform-agnostic-multi-user
# Katib
- ../../apps/katib/upstream/installs/katib-with-kubeflow
# Central Dashboard
- ../../apps/centraldashboard/overlays/oauth2-proxy
# Admission Webhook
- ../../apps/admission-webhook/upstream/overlays/cert-manager
# Jupyter Web App
- ../../apps/jupyter/jupyter-web-app/upstream/overlays/istio
# Notebook Controller
- ../../apps/jupyter/notebook-controller/upstream/overlays/kubeflow
# Profiles + KFAM
- ../../apps/profiles/upstream/overlays/kubeflow
# PVC Viewer
- ../../apps/pvcviewer-controller/upstream/base
# Volumes Web App
- ../../apps/volumes-web-app/upstream/overlays/istio
# Tensorboards Controller
- ../../apps/tensorboard/tensorboard-controller/upstream/overlays/kubeflow
# Tensorboard Web App
- ../../apps/tensorboard/tensorboards-web-app/upstream/overlays/istio
# Training Operator
- ../../apps/training-operator/upstream/overlays/kubeflow
# KServe
- ../../apps/kserve/kserve
- ../../apps/kserve/models-web-app/overlays/kubeflow
# Spark Operator
- ../../apps/spark/spark-operator/overlays/kubeflow
# Model Registry
- ../../apps/model-registry/upstream/options/ui/overlays/istio
# Ingress
- ingress.yaml
# dip
- cluster-policy.yaml
- cluster-role.yaml
- cluster-rolebinding.yaml